Bug 795913 (CVE-2012-0875) - CVE-2012-0875 systemtap: kernel panic when processing malformed DWARF unwind data
Summary: CVE-2012-0875 systemtap: kernel panic when processing malformed DWARF unwind ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2012-0875
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20120220,repor...
Depends On: 796325 796326 796327 796328 796329
Blocks: 795947
TreeView+ depends on / blocked
 
Reported: 2012-02-21 19:36 UTC by Vincent Danen
Modified: 2019-06-08 19:03 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-28 16:21:22 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0376 normal SHIPPED_LIVE Moderate: systemtap security update 2012-03-09 02:12:10 UTC

Description Vincent Danen 2012-02-21 19:36:26 UTC
A flaw was discovered [1] in how systemtap handled DWARF expressions when unwinding the stack.  This could result in an invalid pointer read, leading to reading kernel memory, or a kernel panic (and if the kernel reboot on panic flag was set (panic_on_oops), it would cause the system to reboot).

In order to trigger this flaw, an admin would have to enable unprivileged mode (giving users membership in the 'stapusr' group and configuring the local machine with 'signer,all-users' stap-server trust). If an admin has enabled unprivileged mode, a user with such access could use this to crash the local machine.

A workaround is to disable unprivileged mode.

This will be corrected in a forthcoming upstream release of systemtap, and is currently fixed in git [2].  It is believed that this flaw was introduced via git commit 16d59279f [3], so would affect systemtap >= 1.4.

[1] http://sourceware.org/bugzilla/show_bug.cgi?id=13714
[2] http://sourceware.org/git/?p=systemtap.git;a=commit;h=64b0cff3b
[3] http://sourceware.org/git/?p=systemtap.git;a=commit;h=16d59279f

Comment 2 Vincent Danen 2012-02-22 17:18:08 UTC
Created systemtap tracking bugs for this issue

Affects: fedora-all [bug 796329]

Comment 5 errata-xmlrpc 2012-03-08 21:13:58 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:0376 https://rhn.redhat.com/errata/RHSA-2012-0376.html


Note You need to log in before you can comment on or make changes to this bug.